package com.fmi.bytecode.annotations.tests.jeeapplication;

import javax.ejb.EJB;
import javax.ejb.EJBs;
import javax.ejb.Local;
import javax.ejb.Remote;
import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;

@Stateless (name="AnnotationToolTestBean")
@Local ({AnnotationToolTestLocalInterface1.class, AnnotationToolTestLocalInterface2.class})
@Remote ({AnnotationToolTestRemoteInterface1.class, AnnotationToolTestRemoteInterface2.class})
@EJBs ({@EJB (beanName="beanName1", beanInterface=AnnotationToolTestLocalInterface1.class),
	@EJB (beanName="beanName2", beanInterface=AnnotationToolTestLocalInterface2.class)})
public class AnnotationToolTestBeanClass extends AnnotationToolTestBeanSuperClass {
	
	@SuppressWarnings("unused")
	@EJB (beanName="beanName2")
	private AnnotationToolTestLocalInterface1 referenceToLocalBusinessInterface;
	
	public AnnotationToolTestBeanClass() {
		
	}
	
	@TransactionAttribute (TransactionAttributeType.REQUIRED)
	public void businessMethod1() {
		//Do Something
	}
	
	public void businessMethod2(boolean b, char c, byte by, int i, long l, float f, double d, Object o, AnnotationToolTestLocalInterface1 ci) {
		//Do Something
	}
	
	public int businessMethod3() {
		//Do Something
		return 0;
	}
	
	public AnnotationToolTestLocalInterface2 businessMethod4() {
		//Do Something
		return null;
	}
	
	public long businessMethod5(@ParameterAnnotation(value1 = "actualValue1",
					value2 = "actualValue2") Object arg1) {
		//Do Something
		return 0;
	}
}